org.apache.ignite.internal.processors.cache.query

## Class GridCacheTwoStepQuery

- java.lang.Object
- - org.apache.ignite.internal.processors.cache.query.GridCacheTwoStepQuery

    public class GridCacheTwoStepQuery
    extends Object

Two step map-reduce style query.

### Field Summary

Fields
`static int` `DFLT_PAGE_SIZE`

### Constructor Summary

Constructors
Constructor and Description
`GridCacheTwoStepQuery(Set<String> spaces, GridCacheSqlQuery rdc, boolean skipMergeTbl)`

### Method Summary

Methods
`GridCacheTwoStepQuery` `addMapQuery(GridCacheSqlQuery qry)`
`GridCacheTwoStepQuery` `copy(Object[] args)`
`boolean` `explain()`
`void` `explain(boolean explain)`
`List<GridCacheSqlQuery>` `mapQueries()`
`int` `pageSize()`
`void` `pageSize(int pageSize)`
`GridCacheSqlQuery` `reduceQuery()`
`boolean` `skipMergeTable()`
`Set<String>` `spaces()`
`void` `spaces(Set<String> spaces)`
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### DFLT_PAGE_SIZE

    public static final int DFLT_PAGE_SIZE

See Also:
  Constant Field Values

### Constructor Detail

#### GridCacheTwoStepQuery

    public GridCacheTwoStepQuery(Set<String> spaces,
                         GridCacheSqlQuery rdc,
                         boolean skipMergeTbl)

Parameters:
  `spaces` - All spaces accessed in query.
  `rdc` - Reduce query.
  `skipMergeTbl` - `True` if reduce query can skip merge table creation and get data directly from merge index.

### Method Detail

#### skipMergeTable

    public boolean skipMergeTable()

Returns:
  `True` if reduce query can skip merge table creation and get data directly from merge index.

#### explain

    public boolean explain()

Returns:
  If this is explain query.

#### explain

    public void explain(boolean explain)

Parameters:
  `explain` - If this is explain query.

#### pageSize

    public void pageSize(int pageSize)

Parameters:
  `pageSize` - Page size.

#### pageSize

    public int pageSize()

Returns:
  Page size.

#### addMapQuery

    public GridCacheTwoStepQuery addMapQuery(GridCacheSqlQuery qry)

Parameters:
  `qry` - SQL Query.
Returns:
  `this`.

#### reduceQuery

    public GridCacheSqlQuery reduceQuery()

Returns:
  Reduce query.

#### mapQueries

    public List<GridCacheSqlQuery> mapQueries()

Returns:
  Map queries.

#### spaces

    public Set<String> spaces()

Returns:
  Spaces.

#### spaces

    public void spaces(Set<String> spaces)

Parameters:
  `spaces` - Spaces.

#### copy

    public GridCacheTwoStepQuery copy(Object[] args)

Parameters:
  `args` - New arguments to copy with.
Returns:
  Copy.

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

2015 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.5.0-b1
Release Date | : December 1 2015